Ubuntu

Activity log for bug #328437

Date Who What changed Old value New value Message
2009-02-12 09:58:46 Oliver Grawert bug added bug
2009-02-12 09:59:11 Oliver Grawert ubiquity: importance Undecided High
2009-02-12 09:59:11 Oliver Grawert ubiquity: statusexplanation
2009-02-12 10:01:28 Colin Watson ubiquity: status New Triaged
2009-02-12 10:01:28 Colin Watson ubiquity: assignee kamion
2009-02-12 10:02:13 Oliver Grawert description Binary package hint: ubiquity between copying the filesystem and removal of packages it can happen that the initramfs is rebuilt. in such cases the file /usr/share/initramfs-tools/conf.d/compcache (owned by casper which wasnt removed yet) is still in place which results in an installed system with compcache enabled ... since compcache should only be used by the liveCD or if the user explicitly sets compcache size in initramfs.conf this is unexpected behavior which should be fixed. Binary package hint: ubiquity between copying the filesystem and removal of packages it unconditionally happens that the initramfs is rebuilt. in such cases the file /usr/share/initramfs-tools/conf.d/compcache (owned by casper which wasnt removed yet) is still in place which results in an installed system with compcache enabled ... since compcache should only be used by the liveCD or if the user explicitly sets compcache size in initramfs.conf this is unexpected behavior which should be fixed.
2009-02-12 10:06:23 Colin Watson description Binary package hint: ubiquity between copying the filesystem and removal of packages it unconditionally happens that the initramfs is rebuilt. in such cases the file /usr/share/initramfs-tools/conf.d/compcache (owned by casper which wasnt removed yet) is still in place which results in an installed system with compcache enabled ... since compcache should only be used by the liveCD or if the user explicitly sets compcache size in initramfs.conf this is unexpected behavior which should be fixed. ubiquity builds the initramfs after copying the live filesystem, but before removing casper. One consequence of this is that /conf.d/compcache is left around in the installed system's initramfs, resulting in an installed system with compcache enabled. This is unexpected: compcache should only be used by the live CD, or if the user explicitly sets a compcache size in initramfs.conf.
2009-02-12 10:06:23 Colin Watson title casper compcache configuration is not removed in some cases initramfs generated before removing casper
2009-11-11 10:33:21 Vish removed subscriber mac_v
2010-04-03 23:44:10 bornagainpenguin tags remastersys
2010-09-15 21:42:39 Uwe Geuder bug added subscriber Uwe Geuder
2010-10-06 21:29:38 Leszek removed subscriber Leszek
2010-10-21 18:59:37 Alen bug added subscriber Alen
2012-05-18 11:03:04 Colin Watson ubiquity (Ubuntu): assignee Colin Watson (cjwatson)